%global gem_name pcaprub

Name: rubygem-%{gem_name}
Version: 0.12.4
Release: 1%{?dist}
Summary: libpcap bindings for ruby
License: LGPL-2.1
URL: https://github.com/pcaprub/pcaprub
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
BuildRequires: libpcap-devel
# BuildRequires: rubygem(rake-compiler) => 0.6
# BuildRequires: rubygem(rake-compiler) < 1
# BuildRequires: rubygem(rake-compiler) >= 0.6.0
# BuildRequires: rubygem(shoulda-context) => 1.1
# BuildRequires: rubygem(shoulda-context) < 2
# BuildRequires: rubygem(shoulda-context) => 1.1.6
# BuildRequires: rubygem(shoulda-context) < 1.2
# BuildRequires: rubygem(minitest) => 4.7
# BuildRequires: rubygem(minitest) < 5
# BuildRequires: rubygem(minitest) >= 4.7.0

%description
libpcap bindings for ruby with Ruby1.8, Ruby1.9, Ruby 2.x.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/




# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/ext
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/FAQ.rdoc
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/USAGE.rdoc
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Mon Jun 20 2016 Germano Massullo <germano.massullo@gmail.com> - 0.12.4-1
- Initial package
